package com.pj.tb_banner;

import java.util.List;
import com.pj.utils.so.SoMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.*;

import com.pj.utils.sg.*;
import com.pj.project4sp.SP;

import com.pj.current.satoken.StpUserUtil;
import cn.dev33.satoken.annotation.SaCheckPermission;


/**
 * Controller: tb_banner -- 轮播图
 * @author loovi
 */
@RestController
@RequestMapping("/TbBanner/")
public class TbBannerController {

	/** 底层 Service 对象 */
	@Autowired
	TbBannerService tbBannerService;

	/** 增 */  
	@RequestMapping("add")
	@SaCheckPermission(TbBanner.PERMISSION_CODE_ADD)
	public AjaxJson add(TbBanner t){
		tbBannerService.add(t);
		t = tbBannerService.getById(SP.publicMapper.getPrimarykey());
		return AjaxJson.getSuccessData(t);
	}

	/** 删 */  
	@RequestMapping("delete")
	@SaCheckPermission(TbBanner.PERMISSION_CODE_DEL)
	public AjaxJson delete(Long id){
		 tbBannerService.delete(id);
		return AjaxJson.getSuccess();
	}
	
	/** 删 - 根据id列表 */  
	@RequestMapping("deleteByIds")
	@SaCheckPermission(TbBanner.PERMISSION_CODE_DEL)
	public AjaxJson deleteByIds(){
		List<Long> ids = SoMap.getRequestSoMap().getListByComma("ids", long.class); 
		int line = SP.publicMapper.deleteByIds(TbBanner.TABLE_NAME, ids);
		return AjaxJson.getByLine(line);
	}
	
	/** 改 */  
	@RequestMapping("update")
	@SaCheckPermission(TbBanner.PERMISSION_CODE_EDIT)
	public AjaxJson update(TbBanner t){
		tbBannerService.update(t);
		return AjaxJson.getSuccess();
	}

	/** 查 - 根据id */  
	@RequestMapping("getById")
		@SaCheckPermission(TbBanner.PERMISSION_CODE)
	public AjaxJson getById(Long id){
		TbBanner t = tbBannerService.getById(id);
		return AjaxJson.getSuccessData(t);
	}

	/** 查集合 - 根据条件（参数为空时代表忽略指定条件） */  
	@RequestMapping("getList")
		@SaCheckPermission(TbBanner.PERMISSION_CODE)
	public AjaxJson getList() { 
		SoMap so = SoMap.getRequestSoMap();
		List<TbBanner> list = tbBannerService.getList(so.startPage());
		return AjaxJson.getPageData(so.getDataCount(), list);
	}
	
	
	
	/** 改 - 状态(0=禁用,1=启用) */  
	@RequestMapping("updateStatus")
	@SaCheckPermission(TbBanner.PERMISSION_CODE_EDIT)
	public AjaxJson updateStatus(Long id, String value){
		int line = SP.publicMapper.updateColumnById(TbBanner.TABLE_NAME, "status", value, id);
		return AjaxJson.getByLine(line);
	}
	
	

	
	
	

}
